Subject: Re: bug#49460: links not clickable in some qt programs (nheko, quaternion)

From: Robin Templeton <[email-masked]>
Date: Tue, 12 Oct 2021 09:44:29 -0400

"bdju" <[email-masked]> writes:

> Running Guix System
> guix (GNU Guix) b36267b1d96ac344d2b42c9822ce04b4c3117f85
> The issue has been going on for a while, but I don't think I ever
> reported it. I have my xdg-open stuff configured properly and almost all
> programs on my system can open links where relevant. However, Qt
> programs like the couple I mentioned seem to not use my existing xdg
> settings for some reason. Has anyone else experienced this? I am using
> Sway, by the way.

I've observed the same behavior with Anki, a Qt application; when a link
is clicked, the following message is printed in the terminal (and the
link isn't opened, of course):

qt: Launch failed (/gnu/store/bi4m86lripz4fhhi4c34ylg5ckxsrqzs-xdg-utils-1.1.3/bin/xdg-open https://ankiweb.net/[...])

I only installed Anki a few hours ago, but did run 'guix gc' recently
(with a delete-generations argument of 1-3 months, IIRC).

ripgrep was unable find that hash mentioned under ~/.cache or ~/.local
(in ASCII/UTF-8 or UTF-16{LE,BE} encodings; UTF-32 appears to be
unsupported).

Thanks to Tobias Geerinckx-Rice for sharing some debugging suggestions.

guix system describe:

Generation 70   Sep 23 2021 20:55:38    (current)
  file name: /var/guix/profiles/system-70-link
  canonical file name: /gnu/store/av2b16k9paqwxx4zwfy20cpclayj6wcc-system
  label: GNU with Linux-Nonfree 5.14.1
  bootloader: grub-efi
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/hs3bvwy900yr9zf6xhldsjs9qrpblbsh-linux-nonfree-5.14.1/bzImage
  channels:
    [nonfree channel redacted]: [...]
    guix:
      repository URL: file:///home/robin/src/guix
      branch: current
      commit: 17054703c41ede4bee9df0c78105997ab76e99bd
  configuration file: /gnu/store/vjssgiqgzh907kih39svfn6anlwmjvp0-configuration.scm

(Last upstream Guix commit: 4e2ee456341404ac9b08d5debb56885874094fce)